Skip to main content

🚀 Quickstart

Connect to Avanan with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Avanan.
2

Authorize Avanan

Go to Connections -> Add Test Connection -> Authorize, then enter your API Region / Subdomain (e.g. smart-api-production-1-us for USA), Client ID, and Secret Key. See the connect guide for the region list. Later, you’ll let your users do the same directly from your app.
3

Call the Avanan API

Let’s make your first request to the Avanan API (fetch a list of tenants in Avanan). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/v1.0/msp/tenants" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.✅ You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the connect guide linked below.

📚 Avanan Integration Guides

Official docs: Avanan API Reference Documentation

🧩 Pre-built syncs & actions for Avanan

Enable them in your dashboard. Extend and customize to fit your needs. No pre-built syncs or actions available yet.
Not seeing the integration you need? Build your own independently.